@extends("admin.layout.base")
@extends("admin.layout.header")

@section("title")
    Vaskemaskiner - Opret
@endsection

@section("path")
    <a href="{{ route('washing-machines.create') }}" class="text-white">Opret Vaskemaskine</a> /
@endsection

@section("content")
    <h1>Opret Vaskemaskine:</h1>
    <form method="post" action="{{ route("washing-machines.store") }}">
        @csrf
        <label for="name_first">Vaskemaskine Navn:</label>
        <input type="text" name="name" id="name" max="60" placeholder="Vaskemaskine nr. 1" required>
        <label for="location_id">Lokation:</label>
        <select name="location_id" id="location_id" class="mb-2" required>
            <option disabled selected value> -- Vælg Lokation -- </option>
            @if(count($locations) > 0)
                @foreach($locations as $location)
                <option value="{{ $location->id }}">{{ $location->name }}</option>
                @endforeach
            @else
                <option disabled> Der er ingen lokationer oprettet!</option>
            @endif
        </select>
        <input type="submit" class="btn btn-dark text-white" value="Opret">
    </form>
@endsection
