@extends("app.layout.base")
@section("title")
    Kontakt
@endsection

@section("content")
    <main>
        <h1 class="text-center sde-blue mt-0 mb-0">Kontakt</h1>
        @if(!$contacts->isEmpty())
            @foreach($contacts as $contact)
                <h4 class="mt-2">Navn: {{ $contact->contactname }}</h4>
                <h4 class="mt-0">Email: {{ $contact->email }}</h4>
                <h4 class="mt-0">{{ $contact->title }}</h4>
                @if($contact->phonetimes)
                    <h4 class="mt-0 mb-0">Telefontid:</h4>
                    {!! $contact->phonetimes !!}
                @endif
                @if($contact->phone)
                    <span class="text-center sde-black-20 mt-1">+45 {{ chunk_split($contact->phone, 2, ' ') }}</span>
                    <a class="btn text-center btn-sde-blue mt-1" href="tel:+45{{ $contact->phone }}">Ring</a>
                @endif
            @endforeach
        @else
            <p class="text-center">Der er ingen kontakter!</p>
        @endif
        <span class="text-center sde-black-20 mt-1">Send feedback omkring hvem el. hvad som helst</span>
        <a class="btn text-center btn-sde-blue mt-1" href="{{ route('feedbacks.create') }}">Giv Feedback</a>
    </main>
@endsection
